summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson2010-04-10 15:49:13 +0200
committer David Somero2010-05-15 10:37:49 +0200
commit8484ee946cb2dabfc87d3877126f594e94735dae (patch)
tree5762727a3c43c0b0237e55e9a060167b84347766 /games
parentb72055b5b597dd0fc8b97c86fa1d03e2127a9961 (diff)
downloadslackbuilds-8484ee946cb2dabfc87d3877126f594e94735dae.tar.gz
games/jfsw_demo_data: Added (Shadow Warrior shareware data)
Diffstat (limited to 'games')
-rw-r--r--games/jfsw_demo_data/README10
-rw-r--r--games/jfsw_demo_data/jfsw_demo_data.SlackBuild49
-rw-r--r--games/jfsw_demo_data/jfsw_demo_data.info10
-rw-r--r--games/jfsw_demo_data/slack-desc19
4 files changed, 88 insertions, 0 deletions
diff --git a/games/jfsw_demo_data/README b/games/jfsw_demo_data/README
new file mode 100644
index 0000000000..748daee767
--- /dev/null
+++ b/games/jfsw_demo_data/README
@@ -0,0 +1,10 @@
+jfsw_demo_data (Shadow Warrior shareware data file for use with jfsw)
+
+The data file is proprietary, copyrighted by 3DRealms, Inc. See
+LICENSE.TXT for more information.
+
+If you own a registered/retail copy of Shadow Warrior, you don't need
+this package (instead, copy "sw.grp" from the game directory or CD to
+"/usr/share/games/jfsw/sw.grp").
+
+This package can't be used with jfsw_hires_pack.
diff --git a/games/jfsw_demo_data/jfsw_demo_data.SlackBuild b/games/jfsw_demo_data/jfsw_demo_data.SlackBuild
new file mode 100644
index 0000000000..c64757a5f4
--- /dev/null
+++ b/games/jfsw_demo_data/jfsw_demo_data.SlackBuild
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# Slackware build script for jfsw_demo_data
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=jfsw_demo_data
+VERSION=${VERSION:-1.2}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+ZIPFILE1=${ZIPFILE1:-3dsw12.zip}
+ZIPFILE2=${ZIPFILE2:-SWSW12.SHR}
+GRPFILE=${GRPFILE:-SW.GRP}
+
+set -e
+
+rm -rf $TMP/$PRGNAM $PKG
+mkdir -p $TMP/$PRGNAM $PKG $OUTPUT
+cd $TMP/$PRGNAM
+unzip $CWD/$ZIPFILE1
+unzip -o $ZIPFILE2
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/games/jfsw
+cat $GRPFILE > $PKG/usr/share/games/jfsw/sw.grp
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ *.TXT \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/jfsw_demo_data/jfsw_demo_data.info b/games/jfsw_demo_data/jfsw_demo_data.info
new file mode 100644
index 0000000000..ad2696172a
--- /dev/null
+++ b/games/jfsw_demo_data/jfsw_demo_data.info
@@ -0,0 +1,10 @@
+PRGNAM="jfsw_demo_data"
+VERSION="1.2"
+HOMEPAGE="http://www.3drealms.com/sw/index.html"
+DOWNLOAD="ftp://ftp.3drealms.com/share/3dsw12.zip"
+DOWNLOAD_x86_64=""
+MD5SUM="d77564e8764feeb1509dd0d534fb8952"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"
diff --git a/games/jfsw_demo_data/slack-desc b/games/jfsw_demo_data/slack-desc
new file mode 100644
index 0000000000..d71d738bbb
--- /dev/null
+++ b/games/jfsw_demo_data/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+jfsw_demo_data: jfsw_demo_data (Shadow Warrior shareware data file for use with jfsw)
+jfsw_demo_data:
+jfsw_demo_data: Shadow Warrior shareware data file.
+jfsw_demo_data: If you own a registered/retail copy of Shadow Warrior, you don't need
+jfsw_demo_data: this package.
+jfsw_demo_data:
+jfsw_demo_data:
+jfsw_demo_data:
+jfsw_demo_data:
+jfsw_demo_data:
+jfsw_demo_data: